# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_3ay77814r_/clone/recipe, last modified Thu Nov 30 15:22:29 2023
# ------------------------------------------------

package:
  name: streamlit
  version: 1.26.0
source:
  sha256: 25475fb15a3cc9fb184945f3fc936f011998bd8386e0c892febe14c9625bf47a
  url: https://pypi.io/packages/source/s/streamlit/streamlit-1.26.0.tar.gz
build:
  entry_points:
    - streamlit = streamlit.cli:main
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_3ay77814r_/croot/streamlit_1701379364801/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py38hca03da5_0
requirements:
  host:
    - ca-certificates 2023.08.22 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.12 h1a28f6b_0
    - pip 23.3.1 py38hca03da5_0
    - python 3.8.18 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.0.0 py38hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - wheel 0.41.2 py38hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - altair >=4.0,<6
    - blinker >=1.0.0,<2
    - cachetools >=4.0,<6
    - click >=7.0,<9
    - gitpython >=3.0.7,<4,!=3.1.19
    - importlib-metadata >=1.4,<7
    - numpy >=1.19.3,<2
    - packaging >=16.8,<24
    - pandas >=1.3.0,<3
    - pillow >=7.1.0,<10
    - protobuf >=3.20,<5
    - pyarrow >=6.0
    - pydeck >=0.8.0,<1
    - pympler >=0.9,<2
    - python >=3.8,<3.9.0a0
    - python-dateutil >=2.7.3,<3
    - requests >=2.18,<3
    - rich >=10.14.0,<14
    - tenacity >=8.1.0,<9
    - toml >=0.10.1,<2
    - tornado >=6.0.3,<7
    - typing_extensions >=4.1.0,<5
    - tzlocal >=1.1,<5
    - validators >=0.2,<1
test:
  commands: null
  imports:
    - streamlit
  requires:
    - pip
about:
  description: 'Streamlit lets you turn data scripts into sharable web apps in minutes,
    not weeks.

    It''s all Python, open-source, and free!

    '
  dev_url: https://github.com/streamlit/streamlit
  doc_url: https://docs.streamlit.io/
  home: https://streamlit.io
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: The fastest way to build data apps in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3a24b955-0bde-4934-9b71-61dbabf8ae6d
  recipe-maintainers:
    - kmcgrady
    - randyzwitch
    - raybellwaves
  remote_url: git@github.com:AnacondaRecipes/streamlit-feedstock.git
  sha: 6f06e57f6a555a37564d60a2fdc86756ed98e1a4
